# for loop example using Portable Graphics Library
# requires pgl.py
# CS 111, Aaron Bauer

from pgl import GWindow, GOval # import what we need from Portable Graphics Library
import random
from random_color import random_hex_color

# these are constants, values set at the start of the program that should never change
# have all caps names by convention
GWINDOW_WIDTH = 500
GWINDOW_HEIGHT = 800
COLORS = ["Red", "Green", "Blue"]

# first thing is to create the graphics window (GWindow) that will 
# display our graphics, and set its width and height
gw = GWindow(GWINDOW_WIDTH, GWINDOW_HEIGHT)
circle = GOval(250, 250, 100, 100)
gw.add(circle)
# you would think that position (250, 250) would be the center of the window
# so why does the circle appear off center?
# (250, 250) is the center, but the position we give the circle is the location of its UPPER-LEFT CORNER

count = int(input("How many circles would you like? "))
circles = []
# repeat the following code count number of times
for i in range(count):
    # create a circle at a random position
    # the x and y position we give the circle is the location of its upper-left corner
    # to make sure it stays within the window, limit x to 490 (window dimension of 500 - circle dimension of 10)
    # same idea for y
    circle = GOval(random.randint(0, 490), random.randint(0, 790), 10, 10)
    circle.setFilled(True) # make the circle filled in with color
    circle.setFillColor(random_hex_color()) # set the color filling in the circle randomly
    circles.append(circle)
    gw.add(circle) # the circle won't appear unless we add it to the GWindow

def random_move():
    # choose a random circle
    circle = random.choice(all_circles)
    # move it
    circle.move(random.randint(-5, 5), random.randint(-5, 5))
gw.setInterval(random_move, 1)